Subject: Re: [PATCH] powerpc64/ftrace: Include ftrace.h needed for enable/disable calls

From: "Naveen N. Rao" <[email-masked]>
Date: Fri, 17 Aug 2018 22:11:10 +0530

Luke Dashjr wrote:
> On Friday 17 August 2018 10:25:40 Naveen N. Rao wrote:
>> Luke Dashjr wrote:
>> > this_cpu_disable_ftrace and this_cpu_enable_ftrace are inlines in
>> > ftrace.h Without it included, the build fails.
>>
>> I'm unable to reproduce this. Can you share your .config and the build
>> environment?
>=20
> https://luke.dashjr.org/tmp/code/4.18-config.xz
>=20
> Gentoo GNU/Linux (mostly stable keywords) on a Raptor Talos II POWER9 sys=
tem.

Thanks. Your config is missing CONFIG_TRACEPOINTS and I hadn't tested=20
that. The below fix looks good and I've confirmed that the other uses=20
are fine as well.

- Naveen

=